package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonTaskDynamic;
import com.ruoyi.system.domain.task.TkCommonTaskDynamicExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonTaskDynamicMapper {
    long countByExample(TkCommonTaskDynamicExample example);

    int deleteByExample(TkCommonTaskDynamicExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonTaskDynamic record);

    int insertSelective(TkCommonTaskDynamic record);

    List<TkCommonTaskDynamic> selectByExample(TkCommonTaskDynamicExample example);

    TkCommonTaskDynamic selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonTaskDynamic record, @Param("example") TkCommonTaskDynamicExample example);

    int updateByExample(@Param("record") TkCommonTaskDynamic record, @Param("example") TkCommonTaskDynamicExample example);

    int updateByPrimaryKeySelective(TkCommonTaskDynamic record);

    int updateByPrimaryKey(TkCommonTaskDynamic record);
}